Bug 1734248 - [abrt] [faf] sssd: _dbus_list_unlink(): /usr/libexec/sssd/proxy_child killed by 11
Summary: [abrt] [faf] sssd: _dbus_list_unlink(): /usr/libexec/sssd/proxy_child killed ...
Keywords:
Status: CLOSED DUPLICATE of bug 1752730
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: sssd
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Pavel Březina
QA Contact: sssd-qe
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard: sync-to-jira
: 1656451 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 04:54 UTC by Steeve Goveas
Modified: 2019-12-13 16:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 10:36:37 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Steeve Goveas 2019-07-30 04:54:27 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/8b44e4b9c0da7715d2198e37adfe691e76a468d3/


Crash report email was sent from case_sensitive test suite

time:           Mon 29 Jul 2019 11:27:43 AM EDT
package:        sssd-proxy-2.2.0-1.el8
reason:         proxy_child killed by SIGSEGV
crash_function: _dbus_list_unlink
cmdline:        /usr/libexec/sssd/proxy_child -d 0xf7f0 --debug-timestamps=1 --debug-microseconds=0 --logger=files --domain PROXY --id 1
executable:     /usr/libexec/sssd/proxy_child
component:      sssd
uid:            0
username:       root
hostname:       ci-vm-10-0-155-17.hosted.upshift.rdu2.redhat.com
os_release:     Red Hat Enterprise Linux release 8.1 Beta (Ootpa)
architecture:   x86_64
pwd:            /
kernel:         4.18.0-107.el8.x86_64
abrt_version:   2.10.9
exploitable:
:Likely crash reason: Jump to an invalid address
:Exploitable rating (0-9 scale): 6

Reports:
uReport: BTHASH=8b44e4b9c0da7715d2198e37adfe691e76a468d3
ABRT Server: URL=http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/8b44e4b9c0da7715d2198e37adfe691e76a468d3
ABRT Server: URL=http://faf.lab.eng.brq.redhat.com/faf/reports/12208/
CI Job: https://idm-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/sssd-rhel-prod-tier2/job/master/8/

Full Backtrace:
could not find '.gnu_debugaltlink' file for /var/cache/abrt-di/usr/lib/debug/usr/libexec/sssd/proxy_child-2.2.0-1.el8.x86_64.debug
[New LWP 4770]
Error while reading shared library symbols for /usr/lib64/sssd/libsss_util.so:
could not find '.gnu_debugaltlink' file for /var/cache/abrt-di/usr/lib/debug/usr/lib64/sssd/libsss_util.so-2.2.0-1.el8.x86_64.debug
Error while reading shared library symbols for /lib64/libbasicobjects.so.0:
could not find '.gnu_debugaltlink' file for /var/cache/abrt-di/usr/lib/debug/usr/lib64/libbasicobjects.so.0.1.0-0.6.1-39.el8.x86_64.debug
Error while reading shared library symbols for /lib64/libref_array.so.1:

Comment 1 Alexey Tikhonov 2019-07-30 19:27:34 UTC
Hi Steeve,

Do you know reliable way to reproduce an issue?

Comment 3 Steeve Goveas 2019-08-22 11:45:25 UTC
No crashes noticed with the latest build sssd-proxy-2.2.0-11.el8

Comment 4 Steeve Goveas 2019-08-26 07:19:24 UTC
I see this crash again with the latest build

time:           Fri 23 Aug 2019 04:44:12 AM EDT
package:        sssd-proxy-2.2.0-16.el8
reason:         proxy_child killed by SIGSEGV
crash_function: _dbus_list_unlink
cmdline:        /usr/libexec/sssd/proxy_child -d 0xf7f0 --debug-timestamps=1 --debug-microseconds=0 --logger=files --domain PROXY --id 1
executable:     /usr/libexec/sssd/proxy_child
component:      sssd
uid:            0
username:       root
hostname:       ci-vm-10-0-152-197.hosted.upshift.rdu2.redhat.com
os_release:     Red Hat Enterprise Linux release 8.1 Beta (Ootpa)
architecture:   x86_64
pwd:            /
kernel:         4.18.0-136.el8.x86_64
abrt_version:   2.10.9
exploitable:
:Likely crash reason: Jump to an invalid address
:Exploitable rating (0-9 scale): 6

Reports:
uReport: BTHASH=8b44e4b9c0da7715d2198e37adfe691e76a468d3
ABRT Server: URL=http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/8b44e4b9c0da7715d2198e37adfe691e76a468d3
ABRT Server: URL=http://faf.lab.eng.brq.redhat.com/faf/reports/12208/
Bugzilla: URL=https://bugzilla.redhat.com/show_bug.cgi?id=1734248
CI Job: https://idm-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/sgoveas-dev-pipeline/job/newjobs/2/

Comment 5 Alexey Tikhonov 2019-10-14 10:36:12 UTC
Hi Pavel,

this bug seems to be very similar to one you recently investigated - bz 1752730

backtrace here is:
```
_dbus_list_unlink()
_dbus_list_remove_link()
_dbus_message_remove_counter()
...
```

How do you think, can we close this bug as a duplicate?

Comment 6 Pavel Březina 2019-10-15 11:11:04 UTC
Yes, the backtrace is similar. This actually makes me more confident that the problem is in dbus since we do not do any magic with the dbus message here in sbus_watch_handler.

We should mark it as a duplicate, but first - Steeve, does this happen randomly or always?

Comment 10 Pavel Březina 2019-11-05 10:35:35 UTC
Ok, the logs didn't reveal any problem in sssd. The last debug message comes from `sbus_watch_toggle` which doesn't call any dbus function. After `sbus_watch_toggle` finish, `sbus_watch_handle` is called since some event occured on file descriptor and this function calls `dbus_watch_handle` which produces this crash. Since the backtrace is similar, I'm marking it as duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1752730

Comment 11 Pavel Březina 2019-11-05 10:36:37 UTC

*** This bug has been marked as a duplicate of bug 1752730 ***

Comment 12 Alexey Tikhonov 2019-12-13 16:45:14 UTC
*** Bug 1656451 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.